Bug 1905610 - Fix typo in export script
Summary: Fix typo in export script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-08 16:08 UTC by ralpert
Modified: 2021-02-24 15:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Typo. Consequence: Typo in script prevented Korean language file export. Fix: Fixed typo. Result: Script runs as expected.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:41:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7431 0 None closed Bug 1905610: Fix typo in export script 2021-02-08 15:10:42 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:41:37 UTC

Description ralpert 2020-12-08 16:08:41 UTC
Description of problem:
There's a typo in the PO export script.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Try to run script.

Actual results:
Fails on Korean due to typo.

Expected results:
Script runs.

Comment 3 Yadan Pei 2020-12-21 08:11:37 UTC
# oc adm release info registry.svc.ci.openshift.org/ocp/release:4.7.0-0.nightly-2020-12-20-031835 | grep console
  console                                        sha256:d068d7cdaffa6a9853b43db6526fbf5a1d218c3affac1840349a00ad3f5a5d3b
  console-operator                               sha256:2b2e9e55c08bb0e8db9ef54e2f00a5c0bb60c5364b75f34dc0f8acf102ddb134

# oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d068d7cdaffa6a9853b43db6526fbf5a1d218c3affac1840349a00ad3f5a5d3b | grep commit
             io.openshift.build.commit.id=85dddb2d1533eebeebade9d5ef5f706e5ba3caf4
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/85dddb2d1533eebeebade9d5ef5f706e5ba3caf4

[root@preserved-qe-ui-rhel-1 console]# git checkout 85dddb2d1533eebeebade9d5ef5f706e5ba3caf4

[root@preserved-qe-ui-rhel-1 console]# cat frontend/i18n-scripts/export-pos.sh | grep basename
  yarn i18n-to-po -f $(basename "$f" .json) -l zh
  yarn i18n-to-po -f $(basename "$f" .json) -l ja
  yarn i18n-to-po -f $(basename "$f" .json) -l ko
      yarn i18n-to-po -p "$d" -f $(basename "$f" .json) -l zh
      yarn i18n-to-po -p "$d" -f $(basename "$f" .json) -l ja
      yarn i18n-to-po -p "$d" -f $(basename "$f" .json) -l ko


typo is fixed, moving to VERIFIED

Comment 5 errata-xmlrpc 2021-02-24 15:41:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.